Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class ConnectedLibraryObjectCache

    java.lang.Object
      oracle.ifs.common.Cache
          oracle.ifs.beans.ConnectedLibraryObjectCache

    public final class ConnectedLibraryObjectCache

extends Cache

A ConnectedLibraryObjectCache is a cache that is "connected" to a oracle.ifs.server.cache.BoundedLibraryObjectCache for access to cached LibraryObjects. Since BoundedLibraryObjectCache depends on JDK version 1.2 or higher, this class cannot be utilized in earlier versons of the VM.

A ConnectedLibraryObjectCache is just a subclass of Cache, and not BoundedCache - even though the cache entries are actually bounded by the underlying BoundedLibraryObjectCache.

Note: this class requires JRE 1.2.2 or higher.

(Unpublished)

Field Summary
`protected BoundedLibraryObjectCache` | `m_ServerCache` The server-side BoundedLibraryObjectCache that this cache is connected to.
`protected LibrarySession` | `m_Session` The server-side BoundedLibraryObjectCache that this cache is connected to.

Fields inherited from class oracle.ifs.common.Cache
`m_Configuration`

Constructor Summary
`ConnectedLibraryObjectCache(CacheConfiguration configuration, S_LibrarySession ssession, LibrarySession session)` Construct a ConnectedLibraryObjectCache

Method Summary
`void` | `dispose()` Disposes this cache.
`java.lang.Object` | `find(java.lang.Object id)` Gets an item from this cache.
`CachePerformance` | `getCachePerformance()` Gets the performance information for this cache.
`java.util.Enumeration` | `getElements()` Gets an Enumeration of the LibraryObjects in this cache.
`void` | `put(java.lang.Object id, java.lang.Object value)` Puts an item in this cache.
`void` | `remove(java.lang.Object id)` Removes an item from this cache.
`void` | `resetCachePerformance()` Resets the performance information for this cache.
`void` | `setCacheConfiguration(CacheConfiguration configuration)` Alters the configuration of this cache.

Methods inherited from class oracle.ifs.common.Cache
`getCacheConfiguration, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_ServerCache

    protected BoundedLibraryObjectCache m_ServerCache

  Description copied from class: `ConnectedLibraryObjectCache`
  The server-side BoundedLibraryObjectCache that this cache is connected to.

  (Unpublished)

### m_Session

    protected LibrarySession m_Session

  Description copied from class: `ConnectedLibraryObjectCache`
  The server-side BoundedLibraryObjectCache that this cache is connected to.

  (Unpublished)

Constructor Detail

### ConnectedLibraryObjectCache

    public ConnectedLibraryObjectCache(CacheConfiguration configuration,
                                       S_LibrarySession ssession,
                                       LibrarySession session)

  Construct a ConnectedLibraryObjectCache

  Parameters:
    `configuration` - the configuration paramaters for the new cache
  (Unpublished)

Method Detail

### setCacheConfiguration

    public final void setCacheConfiguration(CacheConfiguration configuration)
                                     throws IfsException

  Description copied from class: `ConnectedLibraryObjectCache`
  Alters the configuration of this cache. This currently does nothing; the cache configuration of the server-side BoundedLibraryObjectCache is modified by calling setCacheConfiguration() on that class directly.

  Specified by:
    `setCacheConfiguration` in class `Cache`
  Parameters:
    `configuration` - the configuration parameters; must be a BoundedCacheConfiguration
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### find

    public final java.lang.Object find(java.lang.Object id)
                                throws IfsException

  Description copied from class: `ConnectedLibraryObjectCache`
  Gets an item from this cache.

  Specified by:
    `find` in class `Cache`
  Parameters:
    `id` - the item id
  Returns:
    the item, or null if the item is not in this cache
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### remove

    public final void remove(java.lang.Object id)
                      throws IfsException

  Description copied from class: `ConnectedLibraryObjectCache`
  Removes an item from this cache.

  Specified by:
    `remove` in class `Cache`
  Parameters:
    `id` - the item id
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### put

    public final void put(java.lang.Object id,
                          java.lang.Object value)
                   throws IfsException

  Description copied from class: `ConnectedLibraryObjectCache`
  Puts an item in this cache.

  Specified by:
    `put` in class `Cache`
  Parameters:
    `id` - the item id
    `value` - the item
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getElements

    public java.util.Enumeration getElements()
                                      throws IfsException

  Description copied from class: `ConnectedLibraryObjectCache`
  Gets an Enumeration of the LibraryObjects in this cache.

  Overrides:
    `getElements` in class `Cache`
  Returns:
    the enumeration of LibraryObjects
  Throws:
    `IfsException` - if operation fails
  (Unpublished)

### getCachePerformance

    public final CachePerformance getCachePerformance()

  Description copied from class: `ConnectedLibraryObjectCache`
  Gets the performance information for this cache. Returns null if the cache has been disposed.

  Specified by:
    `getCachePerformance` in class `Cache`
  Returns:
    a cache performance object
  (Unpublished)

### resetCachePerformance

    public final void resetCachePerformance()

  Description copied from class: `ConnectedLibraryObjectCache`
  Resets the performance information for this cache.

  Specified by:
    `resetCachePerformance` in class `Cache`
  (Unpublished)

### dispose

    public void dispose()

  Description copied from class: `ConnectedLibraryObjectCache`
  Disposes this cache.

  After the cache is disposed, it is invalid to use this cache.

  Overrides:
    `dispose` in class `Cache`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD